Bug 609638 - Review Request: kpassgen - Random password creater
Review Request: kpassgen - Random password creater
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 13:52 EDT by Siddharth Sharma
Modified: 2011-01-13 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version: kpassgen-1.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:27:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
magnus.tuominen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Siddharth Sharma 2010-06-30 13:52:16 EDT
Spec URL: http://siddharths.fedorapeople.org/SPECS/kpassgen.spec
SRPM URL: http://siddharths.fedorapeople.org/SRPMS/kpassgen-0.7-1.fc13.src.rpm
Description: Random password creater
Comment 1 Kalev Lember 2010-07-02 13:03:42 EDT
It appears that you have modified the spec file after initial submission. If you do that, please bump the Release, update %changelog and post new links to spec and srpm in this ticket.

> Group: Utilities
Use one of groups from /usr/share/doc/rpm-*/GROUPS file instead; Utilities isn't a standard rpm group.

> License: GNU
Refer to http://fedoraproject.org/wiki/Licensing page to figure out what to put in the License tag.

> %description
> A random password creator

Perhaps you can be a bit more verbose? There's a nice description at http://kde-apps.org/content/show.php/KPassGen?content=108673 , use that.

You need to use either desktop-file-install or desktop-file-validate as per https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

%doc is currently empty. KPassgen has COPYING file in the tarball and you need to include that in the rpm too: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
Comment 2 Jason Tibbitts 2010-09-01 11:15:57 EDT
Almost two months with no response to the above review commentary; this will be closed soon if the situation continues.
Comment 3 Siddharth Sharma 2010-09-09 10:54:04 EDT
Please review spec again if needed though i fixed everything i guess but still if something is left i will do
Comment 4 Magnus Tuominen 2010-09-09 11:01:45 EDT
I'll take it.
Comment 5 Magnus Tuominen 2010-09-11 15:06:15 EDT
Please update this to the latest release (1.1) and I will do the review for you.
Comment 6 Magnus Tuominen 2010-12-22 14:19:29 EST
review done on the following:
http://siddharths.fedorapeople.org/SPECS/kpassgen.spec
http://siddharths.fedorapeople.org/SRPMS/kpassgen-1.3-1.3.fc14.src.rpm


MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

- rpmlint -iv kpassgen.spec
kpassgen.spec: I: checking-url http://kde-apps.org/content/show.php/kpassgen-1.3.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

- rpmlint -iv kpassgen-1.3-1.3.fc14.src.rpm
kpassgen.src: I: checking
kpassgen.src: I: checking-url http://kde-apps.org/content/show.php/KPassGen?content=108673 (timeout 10 seconds)
kpassgen.src: I: checking-url http://kde-apps.org/content/show.php/kpassgen-1.3.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- Ok

MUST: The package must be named according to the Package Naming Guidelines .

- Ok

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

- Ok

MUST: The package must meet the Packaging Guidelines .

- Ok

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

- GPLv2, Ok

MUST: The License field in the package spec file must match the actual license.

- Ok

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

- Ok

MUST: The spec file must be written in American English.

- Ok

MUST: The spec file for the package MUST be legible.

- Ok

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

src.rpm: 7c9f5ba8fb06ca79e2c7ad8ef268b271
upstream: 150e74a68c5292e2e0c5630b9babae3c

- NOT ok, check upstream source location.

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

- Ok f14-x86_64

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

- Ok

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

- Ok

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

- Ok

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

- Ok

MUST: Packages must NOT bundle copies of system libraries.[11]

- Ok

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

- Ok

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

- Ok

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

- Ok

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

- Ok

MUST: Each package must consistently use macros.

- Ok

MUST: The package must contain code, or permissable content.

- Ok

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

- Ok

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

- Ok

MUST: Header files must be in a -devel package.

- Ok

MUST: Static libraries must be in a -static package.

- Ok

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

- Ok

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

- Ok

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

- Ok

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

- Ok

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

- Ok

MUST: All filenames in rpm packages must be valid UTF-8.

- Ok


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

- Ok

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

- Ok, no translations in package

SHOULD: The reviewer should test that the package builds in mock.

- Ok, i386 & x86_64

SHOULD: The package should compile and build into binary rpms on all supported architectures.
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

- Icon is missing, I have some clues for you how to fix, find me on facebook or IRC. Other than that works fine.


SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

- Ok

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

- Ok

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

- Ok

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

- Ok

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
References to the Fedora Packaging Guidelines

Some minor problems, but looks good.
Comment 7 Magnus Tuominen 2010-12-22 14:23:57 EST
Just noticed something I missed:
Release: should be 1%{dist} and not 1.3%{dist}
Same goes for the changelog entry.
Comment 8 Siddharth Sharma 2010-12-23 11:24:10 EST
Thanks alot Magnus :)
Comment 9 Siddharth Sharma 2010-12-23 11:31:00 EST
Spec URL: http://siddharths.fedorapeople.org/SPECS/kpassgen.spec
SRPM URL: http://siddharths.fedorapeople.org/SRPMS/kpassgen-1.3-1.fc14.src.rpm
Description: Random password creater
Comment 10 Magnus Tuominen 2010-12-23 11:56:48 EST
All issues fixed. Approved!
Comment 11 Siddharth Sharma 2011-01-01 07:48:53 EST
New Package SCM Request
=======================
Package Name: kpassgen
Short Description: Random password creator
Owners: siddharths
Branches: f14
InitialCC: magnus.tuominen@gmail.com, kalev@smartlink.ee
Comment 12 Kevin Fenzi 2011-01-02 15:10:53 EST
We can only act on Fedora Account System accounts, not email addresses. 
Can you update your request to use FAS names instead of emails in the CC field?
Comment 13 Siddharth Sharma 2011-01-03 02:28:35 EST
New Package SCM Request
=======================
Package Name: kpassgen
Short Description: Random password creator
Owners: siddharths
Branches: f14
FAS: siddharths
Comment 14 Siddharth Sharma 2011-01-03 04:00:14 EST
New Package SCM Request
=======================
Package Name: kpassgen
Short Description: Random password creator
Owners: siddharths
Branches: f14
InitialCC:
Comment 15 Jason Tibbitts 2011-01-03 10:15:17 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2011-01-07 01:44:10 EST
kpassgen-1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpassgen-1.3-1.fc14
Comment 17 Fedora Update System 2011-01-13 18:27:38 EST
kpassgen-1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.